import { OnInit } from "@angular/core";
import { StiModelService } from "../../../../services/model.service";
import { StiEditorProperty } from "../../../../services/objects";
import { StiHelperService } from "../../../../services/sti-helper.service";
import { StiLocalizationService } from "../../../../services/sti-localization.service";
import { StiThemeService } from "../../../../services/theme.service";
export declare class StiVerticalAlignmentEditorComponent implements OnInit {
    model: StiModelService;
    helper: StiHelperService;
    theme: StiThemeService;
    loc: StiLocalizationService;
    property: StiEditorProperty;
    constructor(model: StiModelService, helper: StiHelperService, theme: StiThemeService, loc: StiLocalizationService);
    hasName: boolean;
    required: boolean;
    get object(): any;
    get alignment(): any;
    set alignment(value: any);
    ngOnInit(): void;
}
